GET /api/v202504/bill/{billId}/paymentEvent

Retrieves the payment events for a bill

GetBillPaymentEventsV202504 Permissions: BillsAndBatches (View)

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type.

Path Parameters

Name Description Type Required
billId Identifier for the bill integer (int32) Required

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

Array of:

BillPaymentEventResponseV202504
Property Description Type
createdDate The date and time of the bill payment event string (date-time)
paymentEventId The identifier of the payment event integer (int32)
paymentEventType The payment type of the event. For example, paymentGroup.approved, payment.open, payment.returned string
webhookPayload An object representing the JSON received by the web hook object
Example Response application/json
[
  {    "createdDate": "2026-03-30",    "paymentEventId": 1,    "paymentEventType": "string",    "webhookPayload": {}
  }
]